import{S as cp,i as up,s as fp,e as r,k as f,w as k,t as i,M as hp,c as a,d as t,m as h,a as m,x as w,h as l,b as E,G as e,g as x,y as b,q as T,o as O,B as M,v as gp,L as X}from"../../../chunks/vendor-hf-doc-builder.js";import{T as co}from"../../../chunks/Tip-hf-doc-builder.js";import{D as C}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as Q}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ce}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as L}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function _p(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function $p(q){let s,_,d,u,g;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=i("Example of feature extraction:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of feature extraction:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function vp(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipeline"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipeline"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function xp(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function kp(q){let s,_,d,u,g;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=r("p"),_=i("Example of question answering:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of question answering:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function wp(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipeline"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipeline"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function bp(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function Tp(q){let s,_,d,u,g;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=i("Example of single-label classification:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of single-label classification:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Op(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipelines"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipelines"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function Mp(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=r("p"),_=i("Example using zero-shot-classification "),d=r("code"),u=i("transformers.pipelines"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using zero-shot-classification "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipelines"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function yp(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function Ep(q){let s,_,d,u,g;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=i("Example of token classification:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of token classification:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function qp(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipelines"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipelines"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function Rp(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function jp(q){let s,_,d,u,g;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=i("Example of text generation:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of text generation:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Fp(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipelines"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipelines"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function Cp(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function zp(q){let s,_,d,u,g;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=i("Example of text generation:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of text generation:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Ap(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipeline"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipeline"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function Pp(q){let s,_,d,u,g;return{c(){s=r("p"),_=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=i("Module"),g=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(p,"CODE",{});var y=m(d);u=l(y,"Module"),y.forEach(t),g=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(n,p){x(n,s,p),e(s,_),e(s,d),e(d,u),e(s,g)},d(n){n&&t(s)}}}function Np(q){let s,_,d,u,g;return u=new Q({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=i("Example of image classification:"),d=f(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var p=m(s);_=l(p,"Example of image classification:"),p.forEach(t),d=h(n),w(u.$$.fragment,n)},m(n,p){x(n,s,p),e(s,_),x(n,d,p),b(u,n,p),g=!0},p:X,i(n){g||(T(u.$$.fragment,n),g=!0)},o(n){O(u.$$.fragment,n),g=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Sp(q){let s,_,d,u,g,n,p,y;return p=new Q({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=r("p"),_=i("Example using "),d=r("code"),u=i("transformers.pipeline"),g=i(":"),n=f(),k(p.$$.fragment)},l(c){s=a(c,"P",{});var v=m(s);_=l(v,"Example using "),d=a(v,"CODE",{});var R=m(d);u=l(R,"transformers.pipeline"),R.forEach(t),g=l(v,":"),v.forEach(t),n=h(c),w(p.$$.fragment,c)},m(c,v){x(c,s,v),e(s,_),e(s,d),e(d,u),e(s,g),x(c,n,v),b(p,c,v),y=!0},p:X,i(c){y||(T(p.$$.fragment,c),y=!0)},o(c){O(p.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),M(p,c)}}}function Ip(q){let s,_,d,u,g,n,p,y,c,v,R,ze,bo,vt,Hs,To,Bs,is,j,xt,Vs,Oo,Gs,Js,kt,Ys,Mo,Ks,Zs,er,yo,tr,or,wt,se,nr,Eo,sr,rr,qo,ar,ir,Ro,lr,mr,pr,re,dr,jo,cr,ur,Fo,fr,hr,Co,gr,_r,$r,zo,vr,xr,D,bt,kr,Ao,wr,br,Tr,Tt,Or,Ot,Mr,yr,Er,J,qr,Po,Rr,jr,No,Fr,Cr,So,zr,Ar,Io,Pr,Nr,Sr,$e,Ir,Do,Dr,Lr,Lo,Xr,Qr,Ur,ae,Wr,Xo,Hr,Br,Qo,Vr,Gr,Uo,Jr,Yr,Kr,Wo,Zr,ea,Ae,Mt,ta,Ho,oa,na,Pe,yt,sa,Et,ra,Bo,aa,ia,la,Ne,qt,ma,Vo,pa,ls,ve,Se,Go,Rt,da,Jo,ca,ms,z,jt,ua,Yo,fa,ha,Ft,ga,Ko,_a,$a,va,Zo,xa,ka,U,Ct,wa,xe,ba,en,Ta,Oa,tn,Ma,ya,Ea,Ie,qa,De,Ra,Le,ja,Xe,zt,Fa,on,Ca,ps,ke,Qe,nn,At,za,sn,Aa,ds,A,Pt,Pa,rn,Na,Sa,Nt,Ia,an,Da,La,Xa,ln,Qa,Ua,W,St,Wa,we,Ha,mn,Ba,Va,pn,Ga,Ja,Ya,Ue,Ka,We,Za,He,ei,Be,It,ti,dn,oi,cs,be,Ve,cn,Dt,ni,un,si,us,P,Lt,ri,fn,ai,ii,Xt,li,hn,mi,pi,di,gn,ci,ui,I,Qt,fi,Te,hi,_n,gi,_i,$n,$i,vi,xi,Ge,ki,Je,wi,Ye,bi,Ke,Ti,Ze,Ut,Oi,vn,Mi,fs,Oe,et,xn,Wt,yi,kn,Ei,hs,N,Ht,qi,wn,Ri,ji,Bt,Fi,bn,Ci,zi,Ai,Tn,Pi,Ni,H,Vt,Si,Me,Ii,On,Di,Li,Mn,Xi,Qi,Ui,tt,Wi,ot,Hi,nt,Bi,st,Gt,Vi,yn,Gi,gs,ye,rt,En,Jt,Ji,qn,Yi,_s,ie,Yt,Ki,Rn,Zi,el,B,Kt,tl,Ee,ol,jn,nl,sl,Fn,rl,al,il,at,ll,it,ml,lt,$s,qe,mt,Cn,Zt,pl,zn,dl,vs,le,eo,cl,An,ul,fl,V,to,hl,Re,gl,Pn,_l,$l,Nn,vl,xl,kl,pt,wl,dt,bl,ct,xs,je,ut,Sn,oo,Tl,In,Ol,ks,S,no,Ml,Dn,yl,El,so,ql,Ln,Rl,jl,Fl,Xn,Cl,zl,G,ro,Al,Fe,Pl,Qn,Nl,Sl,Un,Il,Dl,Ll,ft,Xl,ht,Ql,gt,Ul,_t,ao,Wl,Wn,Hl,ws;return n=new Ce({}),vt=new Ce({}),xt=new C({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Optional[str] = None"},{name:"latest_model_name",val:": str = 'model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L110"}}),Mt=new C({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L364",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),yt=new C({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L210"}}),qt=new C({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L184",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Rt=new Ce({}),jt=new C({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L452"}}),Ct=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L537"}}),Ie=new co({props:{$$slots:{default:[_p]},$$scope:{ctx:q}}}),De=new L({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[$p]},$$scope:{ctx:q}}}),Le=new L({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[vp]},$$scope:{ctx:q}}}),zt=new C({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L466"}}),At=new Ce({}),Pt=new C({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L625"}}),St=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L717"}}),Ue=new co({props:{$$slots:{default:[xp]},$$scope:{ctx:q}}}),We=new L({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[kp]},$$scope:{ctx:q}}}),He=new L({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[wp]},$$scope:{ctx:q}}}),It=new C({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L638"}}),Dt=new Ce({}),Lt=new C({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L825"}}),Qt=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L908"}}),Ge=new co({props:{$$slots:{default:[bp]},$$scope:{ctx:q}}}),Je=new L({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[Tp]},$$scope:{ctx:q}}}),Ye=new L({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[Op]},$$scope:{ctx:q}}}),Ke=new L({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[Mp]},$$scope:{ctx:q}}}),Ut=new C({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L839"}}),Wt=new Ce({}),Ht=new C({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L996"}}),Vt=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1079"}}),tt=new co({props:{$$slots:{default:[yp]},$$scope:{ctx:q}}}),ot=new L({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[Ep]},$$scope:{ctx:q}}}),nt=new L({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[qp]},$$scope:{ctx:q}}}),Gt=new C({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1009"}}),Jt=new Ce({}),Yt=new C({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"config",val:": PretrainedConfig"},{name:"decoder_session",val:": InferenceSession"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": str = ''"},{name:"last_decoder_model_name",val:": str = 'decoder_model.onnx'"},{name:"last_decoder_with_past_model_name",val:": str = 'decoder_with_past_model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L608"}}),Kt=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L618"}}),at=new co({props:{$$slots:{default:[Rp]},$$scope:{ctx:q}}}),it=new L({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[jp]},$$scope:{ctx:q}}}),lt=new L({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Fp]},$$scope:{ctx:q}}}),Zt=new Ce({}),eo=new C({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": str = ''"},{name:"last_encoder_model_name",val:": str = 'encoder_model.onnx'"},{name:"last_decoder_model_name",val:": str = 'decoder_model.onnx'"},{name:"last_decoder_with_past_model_name",val:": str = 'decoder_with_past_model.onnx'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1154"}}),to=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1186"}}),pt=new co({props:{$$slots:{default:[Cp]},$$scope:{ctx:q}}}),dt=new L({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[zp]},$$scope:{ctx:q}}}),ct=new L({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[Ap]},$$scope:{ctx:q}}}),oo=new Ce({}),no=new C({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1332"}}),ro=new C({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1387"}}),ft=new co({props:{$$slots:{default:[Pp]},$$scope:{ctx:q}}}),ht=new L({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Np]},$$scope:{ctx:q}}}),gt=new L({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Sp]},$$scope:{ctx:q}}}),ao=new C({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1345"}}),{c(){s=r("meta"),_=f(),d=r("h1"),u=r("a"),g=r("span"),k(n.$$.fragment),p=f(),y=r("span"),c=i("Models"),v=f(),R=r("h2"),ze=r("a"),bo=r("span"),k(vt.$$.fragment),Hs=f(),To=r("span"),Bs=i("ORTModel"),is=f(),j=r("div"),k(xt.$$.fragment),Vs=f(),Oo=r("p"),Gs=i("Base class for implementing models using ONNX Runtime."),Js=f(),kt=r("p"),Ys=i(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Mo=r("code"),Ks=i("optimum.exporters.onnx"),Zs=i(" toolchain."),er=f(),yo=r("p"),tr=i("Class attributes:"),or=f(),wt=r("ul"),se=r("li"),nr=i("model_type ("),Eo=r("code"),sr=i("str"),rr=i(", "),qo=r("em"),ar=i("optional"),ir=i(", defaults to "),Ro=r("code"),lr=i('"onnx_model"'),mr=i(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),pr=f(),re=r("li"),dr=i("auto_model_class ("),jo=r("code"),cr=i("Type"),ur=i(", "),Fo=r("em"),fr=i("optional"),hr=i(", defaults to "),Co=r("code"),gr=i("AutoModel"),_r=i(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),$r=f(),zo=r("p"),vr=i("Common attributes:"),xr=f(),D=r("ul"),bt=r("li"),kr=i("model ("),Ao=r("code"),wr=i("ort.InferenceSession"),br=i(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Tr=f(),Tt=r("li"),Or=i("config ("),Ot=r("a"),Mr=i("PretrainedConfig"),yr=i(" \u2014 The configuration of the model."),Er=f(),J=r("li"),qr=i("use_io_binding ("),Po=r("code"),Rr=i("bool"),jr=i(", "),No=r("em"),Fr=i("optional"),Cr=i(", defaults to "),So=r("code"),zr=i("True"),Ar=i(") \u2014 Whether to use I/O bindings with "),Io=r("strong"),Pr=i(`ONNX Runtime
with the CUDAExecutionProvider`),Nr=i(", this can significantly speedup inference depending on the task."),Sr=f(),$e=r("li"),Ir=i("model_save_dir ("),Do=r("code"),Dr=i("Optional[str]"),Lr=i(", "),Lo=r("em"),Xr=i("optional"),Qr=i(`) \u2014 The directory where the model exported to ONNX will be saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Ur=f(),ae=r("li"),Wr=i("latest_model_name ("),Xo=r("code"),Hr=i("str"),Br=i(", "),Qo=r("em"),Vr=i("optional"),Gr=i(", defaults to "),Uo=r("code"),Jr=i('"model.onnx"'),Yr=i(" \u2014 The name of the last ONNX model file."),Kr=f(),Wo=r("li"),Zr=i("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),ea=f(),Ae=r("div"),k(Mt.$$.fragment),ta=f(),Ho=r("p"),oa=i("Instantiate a pretrained model from a pre-trained model configuration."),na=f(),Pe=r("div"),k(yt.$$.fragment),sa=f(),Et=r("p"),ra=i("Loads an ONNX Inference session with a given provider. Default provider is "),Bo=r("code"),aa=i("CPUExecutionProvider"),ia=i(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),la=f(),Ne=r("div"),k(qt.$$.fragment),ma=f(),Vo=r("p"),pa=i("Changes the ONNX Runtime provider according to the device."),ls=f(),ve=r("h2"),Se=r("a"),Go=r("span"),k(Rt.$$.fragment),da=f(),Jo=r("span"),ca=i("ORTModelForFeatureExtraction"),ms=f(),z=r("div"),k(jt.$$.fragment),ua=f(),Yo=r("p"),fa=i("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),ha=f(),Ft=r("p"),ga=i("This model inherits from [~"),Ko=r("code"),_a=i("onnxruntime.modeling_ort.ORTModel"),$a=i(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),va=f(),Zo=r("p"),xa=i("Feature Extraction model for ONNX."),ka=f(),U=r("div"),k(Ct.$$.fragment),wa=f(),xe=r("p"),ba=i("The "),en=r("code"),Ta=i("ORTModelForFeatureExtraction"),Oa=i(" forward method, overrides the "),tn=r("code"),Ma=i("__call__"),ya=i(" special method."),Ea=f(),k(Ie.$$.fragment),qa=f(),k(De.$$.fragment),Ra=f(),k(Le.$$.fragment),ja=f(),Xe=r("div"),k(zt.$$.fragment),Fa=f(),on=r("p"),Ca=i("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),ps=f(),ke=r("h2"),Qe=r("a"),nn=r("span"),k(At.$$.fragment),za=f(),sn=r("span"),Aa=i("ORTModelForQuestionAnswering"),ds=f(),A=r("div"),k(Pt.$$.fragment),Pa=f(),rn=r("p"),Na=i("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Sa=f(),Nt=r("p"),Ia=i("This model inherits from [~"),an=r("code"),Da=i("onnxruntime.modeling_ort.ORTModel"),La=i(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xa=f(),ln=r("p"),Qa=i("Question Answering model for ONNX."),Ua=f(),W=r("div"),k(St.$$.fragment),Wa=f(),we=r("p"),Ha=i("The "),mn=r("code"),Ba=i("ORTModelForQuestionAnswering"),Va=i(" forward method, overrides the "),pn=r("code"),Ga=i("__call__"),Ja=i(" special method."),Ya=f(),k(Ue.$$.fragment),Ka=f(),k(We.$$.fragment),Za=f(),k(He.$$.fragment),ei=f(),Be=r("div"),k(It.$$.fragment),ti=f(),dn=r("p"),oi=i("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),cs=f(),be=r("h2"),Ve=r("a"),cn=r("span"),k(Dt.$$.fragment),ni=f(),un=r("span"),si=i("ORTModelForSequenceClassification"),us=f(),P=r("div"),k(Lt.$$.fragment),ri=f(),fn=r("p"),ai=i(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),ii=f(),Xt=r("p"),li=i("This model inherits from [~"),hn=r("code"),mi=i("onnxruntime.modeling_ort.ORTModel"),pi=i(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),di=f(),gn=r("p"),ci=i("Sequence Classification model for ONNX."),ui=f(),I=r("div"),k(Qt.$$.fragment),fi=f(),Te=r("p"),hi=i("The "),_n=r("code"),gi=i("ORTModelForSequenceClassification"),_i=i(" forward method, overrides the "),$n=r("code"),$i=i("__call__"),vi=i(" special method."),xi=f(),k(Ge.$$.fragment),ki=f(),k(Je.$$.fragment),wi=f(),k(Ye.$$.fragment),bi=f(),k(Ke.$$.fragment),Ti=f(),Ze=r("div"),k(Ut.$$.fragment),Oi=f(),vn=r("p"),Mi=i("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),fs=f(),Oe=r("h2"),et=r("a"),xn=r("span"),k(Wt.$$.fragment),yi=f(),kn=r("span"),Ei=i("ORTModelForTokenClassification"),hs=f(),N=r("div"),k(Ht.$$.fragment),qi=f(),wn=r("p"),Ri=i(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),ji=f(),Bt=r("p"),Fi=i("This model inherits from [~"),bn=r("code"),Ci=i("onnxruntime.modeling_ort.ORTModel"),zi=i(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ai=f(),Tn=r("p"),Pi=i("Token Classification model for ONNX."),Ni=f(),H=r("div"),k(Vt.$$.fragment),Si=f(),Me=r("p"),Ii=i("The "),On=r("code"),Di=i("ORTModelForTokenClassification"),Li=i(" forward method, overrides the "),Mn=r("code"),Xi=i("__call__"),Qi=i(" special method."),Ui=f(),k(tt.$$.fragment),Wi=f(),k(ot.$$.fragment),Hi=f(),k(nt.$$.fragment),Bi=f(),st=r("div"),k(Gt.$$.fragment),Vi=f(),yn=r("p"),Gi=i("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),gs=f(),ye=r("h2"),rt=r("a"),En=r("span"),k(Jt.$$.fragment),Ji=f(),qn=r("span"),Yi=i("ORTModelForCausalLM"),_s=f(),ie=r("div"),k(Yt.$$.fragment),Ki=f(),Rn=r("p"),Zi=i("ONNX model with a causal language modeling head for ONNX Runtime inference."),el=f(),B=r("div"),k(Kt.$$.fragment),tl=f(),Ee=r("p"),ol=i("The "),jn=r("code"),nl=i("ORTModelForCausalLM"),sl=i(" forward method, overrides the "),Fn=r("code"),rl=i("__call__"),al=i(" special method."),il=f(),k(at.$$.fragment),ll=f(),k(it.$$.fragment),ml=f(),k(lt.$$.fragment),$s=f(),qe=r("h2"),mt=r("a"),Cn=r("span"),k(Zt.$$.fragment),pl=f(),zn=r("span"),dl=i("ORTModelForSeq2SeqLM"),vs=f(),le=r("div"),k(eo.$$.fragment),cl=f(),An=r("p"),ul=i("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),fl=f(),V=r("div"),k(to.$$.fragment),hl=f(),Re=r("p"),gl=i("The "),Pn=r("code"),_l=i("ORTModelForSeq2SeqLM"),$l=i(" forward method, overrides the "),Nn=r("code"),vl=i("__call__"),xl=i(" special method."),kl=f(),k(pt.$$.fragment),wl=f(),k(dt.$$.fragment),bl=f(),k(ct.$$.fragment),xs=f(),je=r("h2"),ut=r("a"),Sn=r("span"),k(oo.$$.fragment),Tl=f(),In=r("span"),Ol=i("ORTModelForImageClassification"),ks=f(),S=r("div"),k(no.$$.fragment),Ml=f(),Dn=r("p"),yl=i("Onnx Model for image-classification tasks."),El=f(),so=r("p"),ql=i("This model inherits from [~"),Ln=r("code"),Rl=i("onnxruntime.modeling_ort.ORTModel"),jl=i(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Fl=f(),Xn=r("p"),Cl=i("Image Classification model for ONNX."),zl=f(),G=r("div"),k(ro.$$.fragment),Al=f(),Fe=r("p"),Pl=i("The "),Qn=r("code"),Nl=i("ORTModelForImageClassification"),Sl=i(" forward method, overrides the "),Un=r("code"),Il=i("__call__"),Dl=i(" special method."),Ll=f(),k(ft.$$.fragment),Xl=f(),k(ht.$$.fragment),Ql=f(),k(gt.$$.fragment),Ul=f(),_t=r("div"),k(ao.$$.fragment),Wl=f(),Wn=r("p"),Hl=i("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),this.h()},l(o){const $=hp('[data-svelte="svelte-1phssyn"]',document.head);s=a($,"META",{name:!0,content:!0}),$.forEach(t),_=h(o),d=a(o,"H1",{class:!0});var io=m(d);u=a(io,"A",{id:!0,class:!0,href:!0});var Hn=m(u);g=a(Hn,"SPAN",{});var Bn=m(g);w(n.$$.fragment,Bn),Bn.forEach(t),Hn.forEach(t),p=h(io),y=a(io,"SPAN",{});var Vn=m(y);c=l(Vn,"Models"),Vn.forEach(t),io.forEach(t),v=h(o),R=a(o,"H2",{class:!0});var lo=m(R);ze=a(lo,"A",{id:!0,class:!0,href:!0});var Gn=m(ze);bo=a(Gn,"SPAN",{});var Jn=m(bo);w(vt.$$.fragment,Jn),Jn.forEach(t),Gn.forEach(t),Hs=h(lo),To=a(lo,"SPAN",{});var Yn=m(To);Bs=l(Yn,"ORTModel"),Yn.forEach(t),lo.forEach(t),is=h(o),j=a(o,"DIV",{class:!0});var F=m(j);w(xt.$$.fragment,F),Vs=h(F),Oo=a(F,"P",{});var Kn=m(Oo);Gs=l(Kn,"Base class for implementing models using ONNX Runtime."),Kn.forEach(t),Js=h(F),kt=a(F,"P",{});var mo=m(kt);Ys=l(mo,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Mo=a(mo,"CODE",{});var Zn=m(Mo);Ks=l(Zn,"optimum.exporters.onnx"),Zn.forEach(t),Zs=l(mo," toolchain."),mo.forEach(t),er=h(F),yo=a(F,"P",{});var es=m(yo);tr=l(es,"Class attributes:"),es.forEach(t),or=h(F),wt=a(F,"UL",{});var po=m(wt);se=a(po,"LI",{});var me=m(se);nr=l(me,"model_type ("),Eo=a(me,"CODE",{});var ts=m(Eo);sr=l(ts,"str"),ts.forEach(t),rr=l(me,", "),qo=a(me,"EM",{});var os=m(qo);ar=l(os,"optional"),os.forEach(t),ir=l(me,", defaults to "),Ro=a(me,"CODE",{});var ns=m(Ro);lr=l(ns,'"onnx_model"'),ns.forEach(t),mr=l(me,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),me.forEach(t),pr=h(po),re=a(po,"LI",{});var pe=m(re);dr=l(pe,"auto_model_class ("),jo=a(pe,"CODE",{});var ss=m(jo);cr=l(ss,"Type"),ss.forEach(t),ur=l(pe,", "),Fo=a(pe,"EM",{});var rs=m(Fo);fr=l(rs,"optional"),rs.forEach(t),hr=l(pe,", defaults to "),Co=a(pe,"CODE",{});var as=m(Co);gr=l(as,"AutoModel"),as.forEach(t),_r=l(pe,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),pe.forEach(t),po.forEach(t),$r=h(F),zo=a(F,"P",{});var Bl=m(zo);vr=l(Bl,"Common attributes:"),Bl.forEach(t),xr=h(F),D=a(F,"UL",{});var Y=m(D);bt=a(Y,"LI",{});var bs=m(bt);kr=l(bs,"model ("),Ao=a(bs,"CODE",{});var Vl=m(Ao);wr=l(Vl,"ort.InferenceSession"),Vl.forEach(t),br=l(bs,") \u2014 The ONNX Runtime InferenceSession that is running the model."),bs.forEach(t),Tr=h(Y),Tt=a(Y,"LI",{});var Ts=m(Tt);Or=l(Ts,"config ("),Ot=a(Ts,"A",{href:!0,rel:!0});var Gl=m(Ot);Mr=l(Gl,"PretrainedConfig"),Gl.forEach(t),yr=l(Ts," \u2014 The configuration of the model."),Ts.forEach(t),Er=h(Y),J=a(Y,"LI",{});var de=m(J);qr=l(de,"use_io_binding ("),Po=a(de,"CODE",{});var Jl=m(Po);Rr=l(Jl,"bool"),Jl.forEach(t),jr=l(de,", "),No=a(de,"EM",{});var Yl=m(No);Fr=l(Yl,"optional"),Yl.forEach(t),Cr=l(de,", defaults to "),So=a(de,"CODE",{});var Kl=m(So);zr=l(Kl,"True"),Kl.forEach(t),Ar=l(de,") \u2014 Whether to use I/O bindings with "),Io=a(de,"STRONG",{});var Zl=m(Io);Pr=l(Zl,`ONNX Runtime
with the CUDAExecutionProvider`),Zl.forEach(t),Nr=l(de,", this can significantly speedup inference depending on the task."),de.forEach(t),Sr=h(Y),$e=a(Y,"LI",{});var uo=m($e);Ir=l(uo,"model_save_dir ("),Do=a(uo,"CODE",{});var em=m(Do);Dr=l(em,"Optional[str]"),em.forEach(t),Lr=l(uo,", "),Lo=a(uo,"EM",{});var tm=m(Lo);Xr=l(tm,"optional"),tm.forEach(t),Qr=l(uo,`) \u2014 The directory where the model exported to ONNX will be saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),uo.forEach(t),Ur=h(Y),ae=a(Y,"LI",{});var $t=m(ae);Wr=l($t,"latest_model_name ("),Xo=a($t,"CODE",{});var om=m(Xo);Hr=l(om,"str"),om.forEach(t),Br=l($t,", "),Qo=a($t,"EM",{});var nm=m(Qo);Vr=l(nm,"optional"),nm.forEach(t),Gr=l($t,", defaults to "),Uo=a($t,"CODE",{});var sm=m(Uo);Jr=l(sm,'"model.onnx"'),sm.forEach(t),Yr=l($t," \u2014 The name of the last ONNX model file."),$t.forEach(t),Kr=h(Y),Wo=a(Y,"LI",{});var rm=m(Wo);Zr=l(rm,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),rm.forEach(t),Y.forEach(t),ea=h(F),Ae=a(F,"DIV",{class:!0});var Os=m(Ae);w(Mt.$$.fragment,Os),ta=h(Os),Ho=a(Os,"P",{});var am=m(Ho);oa=l(am,"Instantiate a pretrained model from a pre-trained model configuration."),am.forEach(t),Os.forEach(t),na=h(F),Pe=a(F,"DIV",{class:!0});var Ms=m(Pe);w(yt.$$.fragment,Ms),sa=h(Ms),Et=a(Ms,"P",{});var ys=m(Et);ra=l(ys,"Loads an ONNX Inference session with a given provider. Default provider is "),Bo=a(ys,"CODE",{});var im=m(Bo);aa=l(im,"CPUExecutionProvider"),im.forEach(t),ia=l(ys,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),ys.forEach(t),Ms.forEach(t),la=h(F),Ne=a(F,"DIV",{class:!0});var Es=m(Ne);w(qt.$$.fragment,Es),ma=h(Es),Vo=a(Es,"P",{});var lm=m(Vo);pa=l(lm,"Changes the ONNX Runtime provider according to the device."),lm.forEach(t),Es.forEach(t),F.forEach(t),ls=h(o),ve=a(o,"H2",{class:!0});var qs=m(ve);Se=a(qs,"A",{id:!0,class:!0,href:!0});var mm=m(Se);Go=a(mm,"SPAN",{});var pm=m(Go);w(Rt.$$.fragment,pm),pm.forEach(t),mm.forEach(t),da=h(qs),Jo=a(qs,"SPAN",{});var dm=m(Jo);ca=l(dm,"ORTModelForFeatureExtraction"),dm.forEach(t),qs.forEach(t),ms=h(o),z=a(o,"DIV",{class:!0});var K=m(z);w(jt.$$.fragment,K),ua=h(K),Yo=a(K,"P",{});var cm=m(Yo);fa=l(cm,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),cm.forEach(t),ha=h(K),Ft=a(K,"P",{});var Rs=m(Ft);ga=l(Rs,"This model inherits from [~"),Ko=a(Rs,"CODE",{});var um=m(Ko);_a=l(um,"onnxruntime.modeling_ort.ORTModel"),um.forEach(t),$a=l(Rs,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rs.forEach(t),va=h(K),Zo=a(K,"P",{});var fm=m(Zo);xa=l(fm,"Feature Extraction model for ONNX."),fm.forEach(t),ka=h(K),U=a(K,"DIV",{class:!0});var ce=m(U);w(Ct.$$.fragment,ce),wa=h(ce),xe=a(ce,"P",{});var fo=m(xe);ba=l(fo,"The "),en=a(fo,"CODE",{});var hm=m(en);Ta=l(hm,"ORTModelForFeatureExtraction"),hm.forEach(t),Oa=l(fo," forward method, overrides the "),tn=a(fo,"CODE",{});var gm=m(tn);Ma=l(gm,"__call__"),gm.forEach(t),ya=l(fo," special method."),fo.forEach(t),Ea=h(ce),w(Ie.$$.fragment,ce),qa=h(ce),w(De.$$.fragment,ce),Ra=h(ce),w(Le.$$.fragment,ce),ce.forEach(t),ja=h(K),Xe=a(K,"DIV",{class:!0});var js=m(Xe);w(zt.$$.fragment,js),Fa=h(js),on=a(js,"P",{});var _m=m(on);Ca=l(_m,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),_m.forEach(t),js.forEach(t),K.forEach(t),ps=h(o),ke=a(o,"H2",{class:!0});var Fs=m(ke);Qe=a(Fs,"A",{id:!0,class:!0,href:!0});var $m=m(Qe);nn=a($m,"SPAN",{});var vm=m(nn);w(At.$$.fragment,vm),vm.forEach(t),$m.forEach(t),za=h(Fs),sn=a(Fs,"SPAN",{});var xm=m(sn);Aa=l(xm,"ORTModelForQuestionAnswering"),xm.forEach(t),Fs.forEach(t),ds=h(o),A=a(o,"DIV",{class:!0});var Z=m(A);w(Pt.$$.fragment,Z),Pa=h(Z),rn=a(Z,"P",{});var km=m(rn);Na=l(km,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),km.forEach(t),Sa=h(Z),Nt=a(Z,"P",{});var Cs=m(Nt);Ia=l(Cs,"This model inherits from [~"),an=a(Cs,"CODE",{});var wm=m(an);Da=l(wm,"onnxruntime.modeling_ort.ORTModel"),wm.forEach(t),La=l(Cs,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Cs.forEach(t),Xa=h(Z),ln=a(Z,"P",{});var bm=m(ln);Qa=l(bm,"Question Answering model for ONNX."),bm.forEach(t),Ua=h(Z),W=a(Z,"DIV",{class:!0});var ue=m(W);w(St.$$.fragment,ue),Wa=h(ue),we=a(ue,"P",{});var ho=m(we);Ha=l(ho,"The "),mn=a(ho,"CODE",{});var Tm=m(mn);Ba=l(Tm,"ORTModelForQuestionAnswering"),Tm.forEach(t),Va=l(ho," forward method, overrides the "),pn=a(ho,"CODE",{});var Om=m(pn);Ga=l(Om,"__call__"),Om.forEach(t),Ja=l(ho," special method."),ho.forEach(t),Ya=h(ue),w(Ue.$$.fragment,ue),Ka=h(ue),w(We.$$.fragment,ue),Za=h(ue),w(He.$$.fragment,ue),ue.forEach(t),ei=h(Z),Be=a(Z,"DIV",{class:!0});var zs=m(Be);w(It.$$.fragment,zs),ti=h(zs),dn=a(zs,"P",{});var Mm=m(dn);oi=l(Mm,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Mm.forEach(t),zs.forEach(t),Z.forEach(t),cs=h(o),be=a(o,"H2",{class:!0});var As=m(be);Ve=a(As,"A",{id:!0,class:!0,href:!0});var ym=m(Ve);cn=a(ym,"SPAN",{});var Em=m(cn);w(Dt.$$.fragment,Em),Em.forEach(t),ym.forEach(t),ni=h(As),un=a(As,"SPAN",{});var qm=m(un);si=l(qm,"ORTModelForSequenceClassification"),qm.forEach(t),As.forEach(t),us=h(o),P=a(o,"DIV",{class:!0});var ee=m(P);w(Lt.$$.fragment,ee),ri=h(ee),fn=a(ee,"P",{});var Rm=m(fn);ai=l(Rm,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Rm.forEach(t),ii=h(ee),Xt=a(ee,"P",{});var Ps=m(Xt);li=l(Ps,"This model inherits from [~"),hn=a(Ps,"CODE",{});var jm=m(hn);mi=l(jm,"onnxruntime.modeling_ort.ORTModel"),jm.forEach(t),pi=l(Ps,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ps.forEach(t),di=h(ee),gn=a(ee,"P",{});var Fm=m(gn);ci=l(Fm,"Sequence Classification model for ONNX."),Fm.forEach(t),ui=h(ee),I=a(ee,"DIV",{class:!0});var te=m(I);w(Qt.$$.fragment,te),fi=h(te),Te=a(te,"P",{});var go=m(Te);hi=l(go,"The "),_n=a(go,"CODE",{});var Cm=m(_n);gi=l(Cm,"ORTModelForSequenceClassification"),Cm.forEach(t),_i=l(go," forward method, overrides the "),$n=a(go,"CODE",{});var zm=m($n);$i=l(zm,"__call__"),zm.forEach(t),vi=l(go," special method."),go.forEach(t),xi=h(te),w(Ge.$$.fragment,te),ki=h(te),w(Je.$$.fragment,te),wi=h(te),w(Ye.$$.fragment,te),bi=h(te),w(Ke.$$.fragment,te),te.forEach(t),Ti=h(ee),Ze=a(ee,"DIV",{class:!0});var Ns=m(Ze);w(Ut.$$.fragment,Ns),Oi=h(Ns),vn=a(Ns,"P",{});var Am=m(vn);Mi=l(Am,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Am.forEach(t),Ns.forEach(t),ee.forEach(t),fs=h(o),Oe=a(o,"H2",{class:!0});var Ss=m(Oe);et=a(Ss,"A",{id:!0,class:!0,href:!0});var Pm=m(et);xn=a(Pm,"SPAN",{});var Nm=m(xn);w(Wt.$$.fragment,Nm),Nm.forEach(t),Pm.forEach(t),yi=h(Ss),kn=a(Ss,"SPAN",{});var Sm=m(kn);Ei=l(Sm,"ORTModelForTokenClassification"),Sm.forEach(t),Ss.forEach(t),hs=h(o),N=a(o,"DIV",{class:!0});var oe=m(N);w(Ht.$$.fragment,oe),qi=h(oe),wn=a(oe,"P",{});var Im=m(wn);Ri=l(Im,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Im.forEach(t),ji=h(oe),Bt=a(oe,"P",{});var Is=m(Bt);Fi=l(Is,"This model inherits from [~"),bn=a(Is,"CODE",{});var Dm=m(bn);Ci=l(Dm,"onnxruntime.modeling_ort.ORTModel"),Dm.forEach(t),zi=l(Is,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Is.forEach(t),Ai=h(oe),Tn=a(oe,"P",{});var Lm=m(Tn);Pi=l(Lm,"Token Classification model for ONNX."),Lm.forEach(t),Ni=h(oe),H=a(oe,"DIV",{class:!0});var fe=m(H);w(Vt.$$.fragment,fe),Si=h(fe),Me=a(fe,"P",{});var _o=m(Me);Ii=l(_o,"The "),On=a(_o,"CODE",{});var Xm=m(On);Di=l(Xm,"ORTModelForTokenClassification"),Xm.forEach(t),Li=l(_o," forward method, overrides the "),Mn=a(_o,"CODE",{});var Qm=m(Mn);Xi=l(Qm,"__call__"),Qm.forEach(t),Qi=l(_o," special method."),_o.forEach(t),Ui=h(fe),w(tt.$$.fragment,fe),Wi=h(fe),w(ot.$$.fragment,fe),Hi=h(fe),w(nt.$$.fragment,fe),fe.forEach(t),Bi=h(oe),st=a(oe,"DIV",{class:!0});var Ds=m(st);w(Gt.$$.fragment,Ds),Vi=h(Ds),yn=a(Ds,"P",{});var Um=m(yn);Gi=l(Um,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Um.forEach(t),Ds.forEach(t),oe.forEach(t),gs=h(o),ye=a(o,"H2",{class:!0});var Ls=m(ye);rt=a(Ls,"A",{id:!0,class:!0,href:!0});var Wm=m(rt);En=a(Wm,"SPAN",{});var Hm=m(En);w(Jt.$$.fragment,Hm),Hm.forEach(t),Wm.forEach(t),Ji=h(Ls),qn=a(Ls,"SPAN",{});var Bm=m(qn);Yi=l(Bm,"ORTModelForCausalLM"),Bm.forEach(t),Ls.forEach(t),_s=h(o),ie=a(o,"DIV",{class:!0});var $o=m(ie);w(Yt.$$.fragment,$o),Ki=h($o),Rn=a($o,"P",{});var Vm=m(Rn);Zi=l(Vm,"ONNX model with a causal language modeling head for ONNX Runtime inference."),Vm.forEach(t),el=h($o),B=a($o,"DIV",{class:!0});var he=m(B);w(Kt.$$.fragment,he),tl=h(he),Ee=a(he,"P",{});var vo=m(Ee);ol=l(vo,"The "),jn=a(vo,"CODE",{});var Gm=m(jn);nl=l(Gm,"ORTModelForCausalLM"),Gm.forEach(t),sl=l(vo," forward method, overrides the "),Fn=a(vo,"CODE",{});var Jm=m(Fn);rl=l(Jm,"__call__"),Jm.forEach(t),al=l(vo," special method."),vo.forEach(t),il=h(he),w(at.$$.fragment,he),ll=h(he),w(it.$$.fragment,he),ml=h(he),w(lt.$$.fragment,he),he.forEach(t),$o.forEach(t),$s=h(o),qe=a(o,"H2",{class:!0});var Xs=m(qe);mt=a(Xs,"A",{id:!0,class:!0,href:!0});var Ym=m(mt);Cn=a(Ym,"SPAN",{});var Km=m(Cn);w(Zt.$$.fragment,Km),Km.forEach(t),Ym.forEach(t),pl=h(Xs),zn=a(Xs,"SPAN",{});var Zm=m(zn);dl=l(Zm,"ORTModelForSeq2SeqLM"),Zm.forEach(t),Xs.forEach(t),vs=h(o),le=a(o,"DIV",{class:!0});var xo=m(le);w(eo.$$.fragment,xo),cl=h(xo),An=a(xo,"P",{});var ep=m(An);ul=l(ep,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),ep.forEach(t),fl=h(xo),V=a(xo,"DIV",{class:!0});var ge=m(V);w(to.$$.fragment,ge),hl=h(ge),Re=a(ge,"P",{});var ko=m(Re);gl=l(ko,"The "),Pn=a(ko,"CODE",{});var tp=m(Pn);_l=l(tp,"ORTModelForSeq2SeqLM"),tp.forEach(t),$l=l(ko," forward method, overrides the "),Nn=a(ko,"CODE",{});var op=m(Nn);vl=l(op,"__call__"),op.forEach(t),xl=l(ko," special method."),ko.forEach(t),kl=h(ge),w(pt.$$.fragment,ge),wl=h(ge),w(dt.$$.fragment,ge),bl=h(ge),w(ct.$$.fragment,ge),ge.forEach(t),xo.forEach(t),xs=h(o),je=a(o,"H2",{class:!0});var Qs=m(je);ut=a(Qs,"A",{id:!0,class:!0,href:!0});var np=m(ut);Sn=a(np,"SPAN",{});var sp=m(Sn);w(oo.$$.fragment,sp),sp.forEach(t),np.forEach(t),Tl=h(Qs),In=a(Qs,"SPAN",{});var rp=m(In);Ol=l(rp,"ORTModelForImageClassification"),rp.forEach(t),Qs.forEach(t),ks=h(o),S=a(o,"DIV",{class:!0});var ne=m(S);w(no.$$.fragment,ne),Ml=h(ne),Dn=a(ne,"P",{});var ap=m(Dn);yl=l(ap,"Onnx Model for image-classification tasks."),ap.forEach(t),El=h(ne),so=a(ne,"P",{});var Us=m(so);ql=l(Us,"This model inherits from [~"),Ln=a(Us,"CODE",{});var ip=m(Ln);Rl=l(ip,"onnxruntime.modeling_ort.ORTModel"),ip.forEach(t),jl=l(Us,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Us.forEach(t),Fl=h(ne),Xn=a(ne,"P",{});var lp=m(Xn);Cl=l(lp,"Image Classification model for ONNX."),lp.forEach(t),zl=h(ne),G=a(ne,"DIV",{class:!0});var _e=m(G);w(ro.$$.fragment,_e),Al=h(_e),Fe=a(_e,"P",{});var wo=m(Fe);Pl=l(wo,"The "),Qn=a(wo,"CODE",{});var mp=m(Qn);Nl=l(mp,"ORTModelForImageClassification"),mp.forEach(t),Sl=l(wo," forward method, overrides the "),Un=a(wo,"CODE",{});var pp=m(Un);Il=l(pp,"__call__"),pp.forEach(t),Dl=l(wo," special method."),wo.forEach(t),Ll=h(_e),w(ft.$$.fragment,_e),Xl=h(_e),w(ht.$$.fragment,_e),Ql=h(_e),w(gt.$$.fragment,_e),_e.forEach(t),Ul=h(ne),_t=a(ne,"DIV",{class:!0});var Ws=m(_t);w(ao.$$.fragment,Ws),Wl=h(Ws),Wn=a(Ws,"P",{});var dp=m(Wn);Hl=l(dp,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),dp.forEach(t),Ws.forEach(t),ne.forEach(t),this.h()},h(){E(s,"name","hf:doc:metadata"),E(s,"content",JSON.stringify(Dp)),E(u,"id","models"),E(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(u,"href","#models"),E(d,"class","relative group"),E(ze,"id","optimum.onnxruntime.ORTModel"),E(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(ze,"href","#optimum.onnxruntime.ORTModel"),E(R,"class","relative group"),E(Ot,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),E(Ot,"rel","nofollow"),E(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Se,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),E(Se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(Se,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),E(ve,"class","relative group"),E(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Qe,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),E(Qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(Qe,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),E(ke,"class","relative group"),E(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Ve,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),E(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(Ve,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),E(be,"class","relative group"),E(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(et,"id","optimum.onnxruntime.ORTModelForTokenClassification"),E(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(et,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),E(Oe,"class","relative group"),E(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(rt,"id","optimum.onnxruntime.ORTModelForCausalLM"),E(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(rt,"href","#optimum.onnxruntime.ORTModelForCausalLM"),E(ye,"class","relative group"),E(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(mt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),E(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(mt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),E(qe,"class","relative group"),E(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(ut,"id","optimum.onnxruntime.ORTModelForImageClassification"),E(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),E(ut,"href","#optimum.onnxruntime.ORTModelForImageClassification"),E(je,"class","relative group"),E(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),E(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),x(o,_,$),x(o,d,$),e(d,u),e(u,g),b(n,g,null),e(d,p),e(d,y),e(y,c),x(o,v,$),x(o,R,$),e(R,ze),e(ze,bo),b(vt,bo,null),e(R,Hs),e(R,To),e(To,Bs),x(o,is,$),x(o,j,$),b(xt,j,null),e(j,Vs),e(j,Oo),e(Oo,Gs),e(j,Js),e(j,kt),e(kt,Ys),e(kt,Mo),e(Mo,Ks),e(kt,Zs),e(j,er),e(j,yo),e(yo,tr),e(j,or),e(j,wt),e(wt,se),e(se,nr),e(se,Eo),e(Eo,sr),e(se,rr),e(se,qo),e(qo,ar),e(se,ir),e(se,Ro),e(Ro,lr),e(se,mr),e(wt,pr),e(wt,re),e(re,dr),e(re,jo),e(jo,cr),e(re,ur),e(re,Fo),e(Fo,fr),e(re,hr),e(re,Co),e(Co,gr),e(re,_r),e(j,$r),e(j,zo),e(zo,vr),e(j,xr),e(j,D),e(D,bt),e(bt,kr),e(bt,Ao),e(Ao,wr),e(bt,br),e(D,Tr),e(D,Tt),e(Tt,Or),e(Tt,Ot),e(Ot,Mr),e(Tt,yr),e(D,Er),e(D,J),e(J,qr),e(J,Po),e(Po,Rr),e(J,jr),e(J,No),e(No,Fr),e(J,Cr),e(J,So),e(So,zr),e(J,Ar),e(J,Io),e(Io,Pr),e(J,Nr),e(D,Sr),e(D,$e),e($e,Ir),e($e,Do),e(Do,Dr),e($e,Lr),e($e,Lo),e(Lo,Xr),e($e,Qr),e(D,Ur),e(D,ae),e(ae,Wr),e(ae,Xo),e(Xo,Hr),e(ae,Br),e(ae,Qo),e(Qo,Vr),e(ae,Gr),e(ae,Uo),e(Uo,Jr),e(ae,Yr),e(D,Kr),e(D,Wo),e(Wo,Zr),e(j,ea),e(j,Ae),b(Mt,Ae,null),e(Ae,ta),e(Ae,Ho),e(Ho,oa),e(j,na),e(j,Pe),b(yt,Pe,null),e(Pe,sa),e(Pe,Et),e(Et,ra),e(Et,Bo),e(Bo,aa),e(Et,ia),e(j,la),e(j,Ne),b(qt,Ne,null),e(Ne,ma),e(Ne,Vo),e(Vo,pa),x(o,ls,$),x(o,ve,$),e(ve,Se),e(Se,Go),b(Rt,Go,null),e(ve,da),e(ve,Jo),e(Jo,ca),x(o,ms,$),x(o,z,$),b(jt,z,null),e(z,ua),e(z,Yo),e(Yo,fa),e(z,ha),e(z,Ft),e(Ft,ga),e(Ft,Ko),e(Ko,_a),e(Ft,$a),e(z,va),e(z,Zo),e(Zo,xa),e(z,ka),e(z,U),b(Ct,U,null),e(U,wa),e(U,xe),e(xe,ba),e(xe,en),e(en,Ta),e(xe,Oa),e(xe,tn),e(tn,Ma),e(xe,ya),e(U,Ea),b(Ie,U,null),e(U,qa),b(De,U,null),e(U,Ra),b(Le,U,null),e(z,ja),e(z,Xe),b(zt,Xe,null),e(Xe,Fa),e(Xe,on),e(on,Ca),x(o,ps,$),x(o,ke,$),e(ke,Qe),e(Qe,nn),b(At,nn,null),e(ke,za),e(ke,sn),e(sn,Aa),x(o,ds,$),x(o,A,$),b(Pt,A,null),e(A,Pa),e(A,rn),e(rn,Na),e(A,Sa),e(A,Nt),e(Nt,Ia),e(Nt,an),e(an,Da),e(Nt,La),e(A,Xa),e(A,ln),e(ln,Qa),e(A,Ua),e(A,W),b(St,W,null),e(W,Wa),e(W,we),e(we,Ha),e(we,mn),e(mn,Ba),e(we,Va),e(we,pn),e(pn,Ga),e(we,Ja),e(W,Ya),b(Ue,W,null),e(W,Ka),b(We,W,null),e(W,Za),b(He,W,null),e(A,ei),e(A,Be),b(It,Be,null),e(Be,ti),e(Be,dn),e(dn,oi),x(o,cs,$),x(o,be,$),e(be,Ve),e(Ve,cn),b(Dt,cn,null),e(be,ni),e(be,un),e(un,si),x(o,us,$),x(o,P,$),b(Lt,P,null),e(P,ri),e(P,fn),e(fn,ai),e(P,ii),e(P,Xt),e(Xt,li),e(Xt,hn),e(hn,mi),e(Xt,pi),e(P,di),e(P,gn),e(gn,ci),e(P,ui),e(P,I),b(Qt,I,null),e(I,fi),e(I,Te),e(Te,hi),e(Te,_n),e(_n,gi),e(Te,_i),e(Te,$n),e($n,$i),e(Te,vi),e(I,xi),b(Ge,I,null),e(I,ki),b(Je,I,null),e(I,wi),b(Ye,I,null),e(I,bi),b(Ke,I,null),e(P,Ti),e(P,Ze),b(Ut,Ze,null),e(Ze,Oi),e(Ze,vn),e(vn,Mi),x(o,fs,$),x(o,Oe,$),e(Oe,et),e(et,xn),b(Wt,xn,null),e(Oe,yi),e(Oe,kn),e(kn,Ei),x(o,hs,$),x(o,N,$),b(Ht,N,null),e(N,qi),e(N,wn),e(wn,Ri),e(N,ji),e(N,Bt),e(Bt,Fi),e(Bt,bn),e(bn,Ci),e(Bt,zi),e(N,Ai),e(N,Tn),e(Tn,Pi),e(N,Ni),e(N,H),b(Vt,H,null),e(H,Si),e(H,Me),e(Me,Ii),e(Me,On),e(On,Di),e(Me,Li),e(Me,Mn),e(Mn,Xi),e(Me,Qi),e(H,Ui),b(tt,H,null),e(H,Wi),b(ot,H,null),e(H,Hi),b(nt,H,null),e(N,Bi),e(N,st),b(Gt,st,null),e(st,Vi),e(st,yn),e(yn,Gi),x(o,gs,$),x(o,ye,$),e(ye,rt),e(rt,En),b(Jt,En,null),e(ye,Ji),e(ye,qn),e(qn,Yi),x(o,_s,$),x(o,ie,$),b(Yt,ie,null),e(ie,Ki),e(ie,Rn),e(Rn,Zi),e(ie,el),e(ie,B),b(Kt,B,null),e(B,tl),e(B,Ee),e(Ee,ol),e(Ee,jn),e(jn,nl),e(Ee,sl),e(Ee,Fn),e(Fn,rl),e(Ee,al),e(B,il),b(at,B,null),e(B,ll),b(it,B,null),e(B,ml),b(lt,B,null),x(o,$s,$),x(o,qe,$),e(qe,mt),e(mt,Cn),b(Zt,Cn,null),e(qe,pl),e(qe,zn),e(zn,dl),x(o,vs,$),x(o,le,$),b(eo,le,null),e(le,cl),e(le,An),e(An,ul),e(le,fl),e(le,V),b(to,V,null),e(V,hl),e(V,Re),e(Re,gl),e(Re,Pn),e(Pn,_l),e(Re,$l),e(Re,Nn),e(Nn,vl),e(Re,xl),e(V,kl),b(pt,V,null),e(V,wl),b(dt,V,null),e(V,bl),b(ct,V,null),x(o,xs,$),x(o,je,$),e(je,ut),e(ut,Sn),b(oo,Sn,null),e(je,Tl),e(je,In),e(In,Ol),x(o,ks,$),x(o,S,$),b(no,S,null),e(S,Ml),e(S,Dn),e(Dn,yl),e(S,El),e(S,so),e(so,ql),e(so,Ln),e(Ln,Rl),e(so,jl),e(S,Fl),e(S,Xn),e(Xn,Cl),e(S,zl),e(S,G),b(ro,G,null),e(G,Al),e(G,Fe),e(Fe,Pl),e(Fe,Qn),e(Qn,Nl),e(Fe,Sl),e(Fe,Un),e(Un,Il),e(Fe,Dl),e(G,Ll),b(ft,G,null),e(G,Xl),b(ht,G,null),e(G,Ql),b(gt,G,null),e(S,Ul),e(S,_t),b(ao,_t,null),e(_t,Wl),e(_t,Wn),e(Wn,Hl),ws=!0},p(o,[$]){const io={};$&2&&(io.$$scope={dirty:$,ctx:o}),Ie.$set(io);const Hn={};$&2&&(Hn.$$scope={dirty:$,ctx:o}),De.$set(Hn);const Bn={};$&2&&(Bn.$$scope={dirty:$,ctx:o}),Le.$set(Bn);const Vn={};$&2&&(Vn.$$scope={dirty:$,ctx:o}),Ue.$set(Vn);const lo={};$&2&&(lo.$$scope={dirty:$,ctx:o}),We.$set(lo);const Gn={};$&2&&(Gn.$$scope={dirty:$,ctx:o}),He.$set(Gn);const Jn={};$&2&&(Jn.$$scope={dirty:$,ctx:o}),Ge.$set(Jn);const Yn={};$&2&&(Yn.$$scope={dirty:$,ctx:o}),Je.$set(Yn);const F={};$&2&&(F.$$scope={dirty:$,ctx:o}),Ye.$set(F);const Kn={};$&2&&(Kn.$$scope={dirty:$,ctx:o}),Ke.$set(Kn);const mo={};$&2&&(mo.$$scope={dirty:$,ctx:o}),tt.$set(mo);const Zn={};$&2&&(Zn.$$scope={dirty:$,ctx:o}),ot.$set(Zn);const es={};$&2&&(es.$$scope={dirty:$,ctx:o}),nt.$set(es);const po={};$&2&&(po.$$scope={dirty:$,ctx:o}),at.$set(po);const me={};$&2&&(me.$$scope={dirty:$,ctx:o}),it.$set(me);const ts={};$&2&&(ts.$$scope={dirty:$,ctx:o}),lt.$set(ts);const os={};$&2&&(os.$$scope={dirty:$,ctx:o}),pt.$set(os);const ns={};$&2&&(ns.$$scope={dirty:$,ctx:o}),dt.$set(ns);const pe={};$&2&&(pe.$$scope={dirty:$,ctx:o}),ct.$set(pe);const ss={};$&2&&(ss.$$scope={dirty:$,ctx:o}),ft.$set(ss);const rs={};$&2&&(rs.$$scope={dirty:$,ctx:o}),ht.$set(rs);const as={};$&2&&(as.$$scope={dirty:$,ctx:o}),gt.$set(as)},i(o){ws||(T(n.$$.fragment,o),T(vt.$$.fragment,o),T(xt.$$.fragment,o),T(Mt.$$.fragment,o),T(yt.$$.fragment,o),T(qt.$$.fragment,o),T(Rt.$$.fragment,o),T(jt.$$.fragment,o),T(Ct.$$.fragment,o),T(Ie.$$.fragment,o),T(De.$$.fragment,o),T(Le.$$.fragment,o),T(zt.$$.fragment,o),T(At.$$.fragment,o),T(Pt.$$.fragment,o),T(St.$$.fragment,o),T(Ue.$$.fragment,o),T(We.$$.fragment,o),T(He.$$.fragment,o),T(It.$$.fragment,o),T(Dt.$$.fragment,o),T(Lt.$$.fragment,o),T(Qt.$$.fragment,o),T(Ge.$$.fragment,o),T(Je.$$.fragment,o),T(Ye.$$.fragment,o),T(Ke.$$.fragment,o),T(Ut.$$.fragment,o),T(Wt.$$.fragment,o),T(Ht.$$.fragment,o),T(Vt.$$.fragment,o),T(tt.$$.fragment,o),T(ot.$$.fragment,o),T(nt.$$.fragment,o),T(Gt.$$.fragment,o),T(Jt.$$.fragment,o),T(Yt.$$.fragment,o),T(Kt.$$.fragment,o),T(at.$$.fragment,o),T(it.$$.fragment,o),T(lt.$$.fragment,o),T(Zt.$$.fragment,o),T(eo.$$.fragment,o),T(to.$$.fragment,o),T(pt.$$.fragment,o),T(dt.$$.fragment,o),T(ct.$$.fragment,o),T(oo.$$.fragment,o),T(no.$$.fragment,o),T(ro.$$.fragment,o),T(ft.$$.fragment,o),T(ht.$$.fragment,o),T(gt.$$.fragment,o),T(ao.$$.fragment,o),ws=!0)},o(o){O(n.$$.fragment,o),O(vt.$$.fragment,o),O(xt.$$.fragment,o),O(Mt.$$.fragment,o),O(yt.$$.fragment,o),O(qt.$$.fragment,o),O(Rt.$$.fragment,o),O(jt.$$.fragment,o),O(Ct.$$.fragment,o),O(Ie.$$.fragment,o),O(De.$$.fragment,o),O(Le.$$.fragment,o),O(zt.$$.fragment,o),O(At.$$.fragment,o),O(Pt.$$.fragment,o),O(St.$$.fragment,o),O(Ue.$$.fragment,o),O(We.$$.fragment,o),O(He.$$.fragment,o),O(It.$$.fragment,o),O(Dt.$$.fragment,o),O(Lt.$$.fragment,o),O(Qt.$$.fragment,o),O(Ge.$$.fragment,o),O(Je.$$.fragment,o),O(Ye.$$.fragment,o),O(Ke.$$.fragment,o),O(Ut.$$.fragment,o),O(Wt.$$.fragment,o),O(Ht.$$.fragment,o),O(Vt.$$.fragment,o),O(tt.$$.fragment,o),O(ot.$$.fragment,o),O(nt.$$.fragment,o),O(Gt.$$.fragment,o),O(Jt.$$.fragment,o),O(Yt.$$.fragment,o),O(Kt.$$.fragment,o),O(at.$$.fragment,o),O(it.$$.fragment,o),O(lt.$$.fragment,o),O(Zt.$$.fragment,o),O(eo.$$.fragment,o),O(to.$$.fragment,o),O(pt.$$.fragment,o),O(dt.$$.fragment,o),O(ct.$$.fragment,o),O(oo.$$.fragment,o),O(no.$$.fragment,o),O(ro.$$.fragment,o),O(ft.$$.fragment,o),O(ht.$$.fragment,o),O(gt.$$.fragment,o),O(ao.$$.fragment,o),ws=!1},d(o){t(s),o&&t(_),o&&t(d),M(n),o&&t(v),o&&t(R),M(vt),o&&t(is),o&&t(j),M(xt),M(Mt),M(yt),M(qt),o&&t(ls),o&&t(ve),M(Rt),o&&t(ms),o&&t(z),M(jt),M(Ct),M(Ie),M(De),M(Le),M(zt),o&&t(ps),o&&t(ke),M(At),o&&t(ds),o&&t(A),M(Pt),M(St),M(Ue),M(We),M(He),M(It),o&&t(cs),o&&t(be),M(Dt),o&&t(us),o&&t(P),M(Lt),M(Qt),M(Ge),M(Je),M(Ye),M(Ke),M(Ut),o&&t(fs),o&&t(Oe),M(Wt),o&&t(hs),o&&t(N),M(Ht),M(Vt),M(tt),M(ot),M(nt),M(Gt),o&&t(gs),o&&t(ye),M(Jt),o&&t(_s),o&&t(ie),M(Yt),M(Kt),M(at),M(it),M(lt),o&&t($s),o&&t(qe),M(Zt),o&&t(vs),o&&t(le),M(eo),M(to),M(pt),M(dt),M(ct),o&&t(xs),o&&t(je),M(oo),o&&t(ks),o&&t(S),M(no),M(ro),M(ft),M(ht),M(gt),M(ao)}}}const Dp={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"}],title:"Models"};function Lp(q){return gp(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Vp extends cp{constructor(s){super();up(this,s,Lp,Ip,fp,{})}}export{Vp as default,Dp as metadata};
